# List

Launch stage: GA

`GET /api/2.1/unity-catalog/external-locations`

Gets an array of external locations (__ExternalLocationInfo__ objects) from the metastore.
 The caller must be a metastore admin, the owner of the external location, or a user that has some privilege on the external location.
 There is no guarantee of a specific ordering of the elements in the array.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Query parameters

- `include_browse` (boolean, optional)
  Whether to include external locations in the response for which the principal can only access selective metadata for
- `max_results` (int32, optional)
  Maximum number of external locations to return.
   If not set, all the external locations are returned (not recommended).
   - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
   - when set to 0, the page length is set to a server configured value (recommended);
   - when set to a value less than 0, an invalid parameter error is returned;
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.
- `include_unbound` (boolean, optional)
  Whether to include external locations not bound to the workspace.
   Effective only if the user has permission to update the location–workspace binding.

## Returns

Returns a list of ExternalLocationInfo objects.

## Response

```json
{
  "external_locations": [
    {
      "name": "string",
      "url": "string",
      "credential_name": "string",
      "read_only": true,
      "comment": "string",
      "enable_file_events": true,
      "file_event_queue": {},
      "owner": "string",
      "encryption_details": {},
      "metastore_id": "string",
      "credential_id": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "browse_only": true,
      "isolation_mode": "string",
      "fallback": true,
      "effective_enable_file_events": true,
      "effective_file_event_queue": {}
    }
  ],
  "next_page_token": "string"
}
```

